Computing > General Computing

sudo apt-get remove libcairo2

(1/5) > >>

RoGeorge:
Linux accidentally BIG UNINSTALL caused by dependencies;  afraid to restart...  :-\

I was trying to install something with pip, and there was a version conflict with existing cairo, so I tryed to uninstall libcairo2 and pressed enter without paying much attention to the dependencies.  As a result, I see A LOT of programs were uninstalled, too, because they were having libcairo as a dependency.


--- Code: ---~$ sudo apt-get remove libcairo2
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  aglfn akqml apg aptdaemon aptdaemon-data audacity-data bluez-obexd brasero-common
  ca-certificates-mono catdoc cheese-common cli-common cups-daemon cups-ipp-utils
  cups-pk-helper cups-server-common dc dconf-cli dvd+rw-tools dvdauthor dvisvgm enchant-2
  evolution-data-server-common fonts-adf-accanthis fonts-adf-berenis fonts-adf-gillius
  fonts-adf-universalis fonts-cabin fonts-cantarell fonts-comfortaa fonts-croscore
  fonts-crosextra-caladea fonts-crosextra-carlito fonts-ebgaramond fonts-ebgaramond-extra
  fonts-font-awesome fonts-gfs-artemisia fonts-gfs-baskerville fonts-gfs-complutum
  fonts-gfs-didot fonts-gfs-neohellenic fonts-gfs-olga fonts-gfs-porson fonts-gfs-solomos
  fonts-go fonts-hack fonts-junicode fonts-lato fonts-linuxlibertine fonts-lmodern
  fonts-lobster fonts-lobstertwo fonts-lyx fonts-noto-core fonts-noto-hinted
  fonts-noto-ui-core fonts-noto-unhinted fonts-oflb-asana-math fonts-open-sans
  fonts-opensymbol fonts-quicksand fonts-roboto-unhinted fonts-sil-gentium
  fonts-sil-gentium-basic fonts-sil-gentiumplus fonts-sil-gentiumplus-compact fonts-stix
  freeglut3 gconf-service gconf-service-backend gconf2-common giblib1 gimp-data
  gimp-help-common gir1.2-accountsservice-1.0 gir1.2-atk-1.0 gir1.2-atspi-2.0
  gir1.2-freedesktop gir1.2-gck-1 gir1.2-gdesktopenums-3.0 gir1.2-gdkpixbuf-2.0
  gir1.2-gdm-1.0 gir1.2-geoclue-2.0 gir1.2-graphene-1.0 gir1.2-harfbuzz-0.0 gir1.2-ibus-1.0
  gir1.2-json-1.0 gir1.2-nm-1.0 gir1.2-notify-0.7 gir1.2-polkit-1.0 gir1.2-secret-1
  gir1.2-soup-2.4 gir1.2-upowerglib-1.0 gnome-accessibility-themes
  gnome-control-center-data gnome-control-center-faces gnome-desktop3-data
  gnome-keyring-pkcs11 gnome-menus gnome-session-common gnome-settings-daemon-common
  gnome-shell-common gnome-themes-extra-data gnuplot-data gparted-common growisofs
  gstreamer1.0-gl gthumb-data gtk-update-icon-cache gvfs gvfs-backends gvfs-common
  gvfs-daemons gvfs-fuse gvfs-libs hplip-data i965-va-driver ieee-data imagemagick
  imagemagick-6.q16 indicator-common intel-media-va-driver kamera kde-style-oxygen-qt5
  kded5 kdenlive-data kdoctools5 kgamma5 kio-extras-data konversation-data ksysguard-data
  ksysguardd kubuntu-notification-helper lame libaa1 libaacs0 libabw-0.1-1
  libalgorithm-c3-perl libann0 libaom0 libaribb24-0 libass9 libatk1.0-0:i386
  libatkmm-1.6-1v5 libavc1394-0 libavkys8 libavresample4 libavutil56 libbabl-0.1-0
  libbasicusageenvironment1 libbdplus0 libblkid-dev libbluray2 libbs2b0 libburn4
  libcamel-1.2-62 libcapi20-3 libcddb2 libcdio-cdda2 libcdio-paranoia2 libcdparanoia0
  libcdr-0.1-1 libcdt5 libcgraph6 libchm1 libclass-c3-perl libclass-c3-xs-perl
  libclass-data-inheritable-perl libclucene-contribs1v5 libclucene-core1v5
  libclutter-1.0-common libcmis-0.5-5v5 libcodec2-0.9 libcodec2-dev libcogl-common
  libcolorcorrect5 libcppunit-1.15-0 libcppunit-dev libdatrie-dev libdbusmenu-glib4
  libdbusmenu-gtk3-4 libdc1394-22 libdca0 libde265-0 libdee-1.0-4
  libdevel-globaldestruction-perl libdisasm0 libdist-checkconflicts-perl libdjvulibre-text
  libdjvulibre21 libdolphinvcs5 libdv4 libdvbpsi10 libe-book-0.1-1 libebackend-1.2-10
  libebml4v5 libebook-1.2-20 libebook-contacts-1.2-3 libebur128-1 libecal-2.0-1
  libedata-book-1.2-26 libedata-cal-2.0-1 libedataserver-1.2-24 libemail-date-format-perl
  libenchant-2-2 libeot0 libepub0 libepubgen-0.1-1 libetonyek-0.1-1 libeval-closure-perl
  libexception-class-perl libexo-common libexo-helpers libexttextcat-2.0-0 libfaad2
  libffi-dev libflac++6v5 libflite1 libfm-data libfm-extra4 libfm-gtk-data libfm4
  libfontbox-java libfontconfig1-dev libfontembed1 libfreehand-0.1-1 libfreetype-dev
  libfreetype6-dev libfribidi-dev libgavl1 libgck-1-0 libgconf-2-4 libgcr-base-3-1
  libgdata-common libgdata22 libgdm1 libgee-0.8-2 libgegl-common libgeoclue-2-0
  libgeocode-glib0 libgexiv2-2 libglfw3 libglib2.0-cil libglib2.0-dev libglib2.0-dev-bin
  libglibmm-2.4-1v5 libgme0 libgnome-autoar-0-0 libgnomekbd-common libgnuradio-analog3.8.1
  libgnuradio-channels3.8.1 libgnuradio-digital3.8.1 libgnuradio-dtv3.8.1
  libgnuradio-fec3.8.1 libgnuradio-fft3.8.1 libgnuradio-filter3.8.1
  libgnuradio-fosphor3.8.0 libgnuradio-qtgui3.8.1 libgnuradio-trellis3.8.1
  libgnuradio-video-sdl3.8.1 libgnuradio-vocoder3.8.1 libgnuradio-wavelet3.8.1
  libgnuradio-zeromq3.8.1 libgoa-1.0-0b libgoa-1.0-common libgps26 libgrantlee-templates5
  libgraphene-1.0-0 libgraphite2-dev libgroupsock8 libgsm1 libgsm1-dev libgsound0
  libgssdp-1.2-0 libgstreamer-gl1.0-0 libgstreamer-plugins-bad1.0-0
  libgstreamer-plugins-good1.0-0 libgtk-3-common libgtk2.0-common
  libgtksourceview-3.0-common libgtop-2.0-11 libgtop2-common libgts-0.7-5 libgts-bin
  libgupnp-1.2-0 libgupnp-av-1.0-2 libgupnp-dlna-2.0-3 libgupnp-igd-1.0-4 libgvpr2
  libgweather-common libharfbuzz-dev libharfbuzz-gobject0 libharfbuzz-icu0 libheif1
  libhpmud0 libibus-1.0-5 libical3 libice-dev libiec61883-0 libigdgmm11 libimagequant0
  libimlib2 libipc-shareable-perl libiso9660-11 libisofs6 libixml10
  libjavascriptcoregtk-4.0-18 libjpeg-turbo-progs libjs-jquery-ui libjs-prototype
  libjs-scriptaculous libjte2 libk3b7 libkate1 libkf5baloowidgets-data libkf5cddb-data
  libkf5cddb5 libkf5compactdisc-data libkf5emoticons-bin libkf5emoticons-data
  libkf5emoticons5 libkf5js5 libkf5jsapi5 libkf5khtml-data libkf5notifyconfig-data
  libkf5people5 libkf5peoplewidgets5 libkf5sysguard-bin libkfontinst5 libkfontinstui5
  libkpathsea6 libksgrd7 libksignalplotter7 libkubuntu1 liblab-gamut1 liblbfgsb0
  liblensfun-data-v1 liblensfun1 liblilv-0-0 liblirc-client0 liblivemedia77
  liblog-dispatch-perl liblog-log4perl-perl liblog4cpp5-dev liblouis-data liblouis20
  liblouisutdml-bin liblouisutdml-data liblouisutdml9 liblua5.3-0 libmail-sendmail-perl
  libmatroska6v5 libmediaart-2.0-0 libmenu-cache-bin libmenu-cache3 libmhash2
  libmime-charset-perl libmime-lite-perl libmime-types-perl libminizip1 libmjpegutils-2.1-0
  libmlt-data libmms0 libmodplug1 libmono-btls-interface4.0-cil libmono-corlib4.5-cil
  libmono-i18n-west4.0-cil libmono-i18n4.0-cil libmono-posix4.0-cil libmono-security4.0-cil
  libmono-system-configuration4.0-cil libmono-system-core4.0-cil
  libmono-system-numerics4.0-cil libmono-system-security4.0-cil libmono-system-xml4.0-cil
  libmono-system4.0-cil libmount-dev libmovit8 libmozjs-68-0 libmp3lame0 libmpcdec6
  libmpeg2encpp-2.1-0 libmpg123-0 libmplex2-2.1-0 libmro-compat-perl libmspub-0.1-1
  libmtp-common libmtp-runtime libmtp9 libmusicbrainz5cc2v5 libmwaw-0.3-3 libmypaint-1.5-1
  libmypaint-common libmysofa1 libmythes-1.2-0 libnamespace-autoclean-perl libneon27-gnutls
  libnetpbm10 libnfs13 libnice10 libnorm1 libnotificationmanager1 libnotify-bin libobt2v5
  libodfgen-0.1-1 libofa0 libopenmpt-modplug1 libopenmpt0 liborcus-0.15-0 libosmesa6
  liboxygenstyle5-5 liboxygenstyleconfig5-5 libpagemaker-0.0-0 libpam-gnome-keyring
  libpangoxft-1.0-0 libparams-validationcompiler-perl libpathplan4 libpcre16-3
  libpcre2-32-0 libpcre2-dev libpcre2-posix2 libpcre3-dev libpcre32-3 libpcrecpp0v5
  libpdfbox-java libpgm-5.2-0 libphonenumber7 libphonon4qt5-4 libphonon4qt5-data
  libpixman-1-dev libplacebo7 libplasma-geolocation-interface5 libpng-dev libpng-tools
  libpoppler-cpp0v5 libpoppler-qt5-1 libportsmf0v5 libpostproc55 libpowerdevilcore2
  libpowerdevilui5 libprotobuf-lite17 libprotobuf17 libptexenc1 libpugixml1v5
  libqalculate20 libqalculate20-data libqmobipocket2 libqpdf26 libqt5webengine-data
  libqwt-qt5-6 libraptor2-0 librasqal3 libraw1394-11 librdf0 libresid-builder0c2a
  librest-0.7-0 librevenge-0.0-0 librttr-core0.9.6 librubberband2 libruby2.7
  librygel-core-2.6-2 librygel-db-2.6-2 librygel-renderer-2.6-2 librygel-server-2.6-2
  libsane-hpaio libsdl-image1.2 libsecret-1-0 libsecret-common libselinux1-dev
  libsepol1-dev libserd-0-0 libshine3 libsidplay2 libsm-dev libsombok3 libsord-0-0
  libsoundtouch1 libsoup-gnome2.4-1 libsox-fmt-alsa libsox-fmt-base libsox3
  libspatialaudio0 libspecio-perl libspectre1 libsratom-0-0 libsrt1 libsrtp2-1
  libstartup-notification0 libstb0 libsuil-0-0 libswresample3 libswscale5 libsynctex2
  libsys-hostname-long-perl libtaskmanager6 libteckit0 libtexlua53 libtexluajit2
  libthai-dev libtotem-plparser-common libtotem-plparser18 libtumbler-1-0 libtwolame0
  libunicode-linebreak-perl libunity-protocol-private0 libunity-scopes-json-def-desktop
  libunity9 libupnp13 libusageenvironment3 libusrsctp1 libva-drm2 libva-wayland2
  libva-x11-2 libva2 libvamp-hostsdk3v5 libvcdinfo0 libvdpau1 libvidstab1.1 libvisio-0.1-1
  libvisual-0.4-0 libvkd3d1 libvncclient1 libvo-aacenc0 libvo-amrwbenc0 libvte-2.91-common
  libweather-ion7 libwebcam0 libwildmidi2 libwinpr2-2 libwnck-common libwpd-0.10-10
  libwpg-0.3-3 libwps-0.4-4 libwxbase3.0-0v5 libx265-179 libxcb-dpms0 libxcb-record0
  libxcb-render0-dev libxcb-shm0-dev libxext-dev libxfce4ui-common libxfce4util-bin
  libxfce4util-common libxfce4util7 libxfconf-0-3 libxft-dev libxine2-bin libxine2-doc
  libxklavier16 libxmlsec1 libxmlsec1-nss libxrender-dev libxres1 libxstring-perl
  libxvidcore4 libyajl2 libyaml-tiny-perl libzbar0 libzmq5 libzvbi0 libzzip-0-13 lmodern
  lp-solve lxde-common lxlock lxmenu-data lxpanel-data lxsession-data mesa-va-drivers
  mesa-vdpau-drivers mono-4.0-gac mono-gac mono-runtime mono-runtime-common
  mono-runtime-sgen mscompress mutter-common netpbm oxygen-icon-theme p11-kit
  p11-kit-modules pfb2t1c2pfb phantomjs phonon-backend-gstreamer-common plasma-desktop-data
  plasma-integration plasma-thunderbolt powerdevil-data preview-latex-style
  printer-driver-foo2zjs-common printer-driver-postscript-hp ps2eps putty-tools
  python-matplotlib-data python3-aptdaemon python3-bs4 python3-click-plugins python3-cycler
  python3-dateutil python3-defer python3-html5lib python3-ibus-1.0 python3-kiwisolver
  python3-lxml python3-macaroonbakery python3-mako python3-markupsafe python3-matplotlib
  python3-networkx python3-numpy python3-olefile python3-opengl python3-pil
  python3-protobuf python3-pyparsing python3-pyqtgraph python3-pyxattr python3-renderpm
  python3-reportlab python3-reportlab-accel python3-rfc3339 python3-scipy python3-serial
  python3-soupsieve python3-tornado python3-tz python3-usb python3-webencodings python3-zmq
  qapt-batch qdbus-qt5 qml-module-org-kde-activities qml-module-org-kde-kholidays
  qml-module-org-kde-kio qml-module-org-kde-kwindowsystem qml-module-org-kde-quickcharts
  qml-module-org-kde-solid qml-module-qt-labs-folderlistmodel qml-module-qtquick-extras
  qml-module-qtwebkit qtspeech5-flite-plugin rake rtl-sdr rtmpdump ruby ruby-minitest
  ruby-net-telnet ruby-power-assert ruby-test-unit ruby-xmlrpc ruby2.7 rubygems-integration
  rygel screen-resolution-extra scrot suckless-tools swh-plugins switcheroo-control teckit
  tex-gyre texlive-fonts-extra-links thunar-data tumbler-common ubuntu-wallpapers
  ubuntu-wallpapers-focal uhd-host uuid-dev uvcdynctrl uvcdynctrl-data va-driver-all
  vdpau-driver-all vlc-bin vlc-data vlc-l10n vlc-plugin-qt vlc-plugin-samba
  vlc-plugin-skins2 vlc-plugin-video-splitter vlc-plugin-visualization webcamoid-data
  x11proto-xext-dev xdg-dbus-proxy xfconf xsane-common xscreensaver-data xul-ext-ubufox
  xwayland yaru-theme-gnome-shell yelp-xsl youtube-dl zenity-common
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  foomatic-filters libpaps0 paps suckless-tools xterm
Suggested packages:
  dwm stterm surf xfonts-cyrillic
Recommended packages:
  poppler-utils
The following packages will be REMOVED:
  adwaita-icon-theme apport-kde audacity bless breeze-gtk-theme catfish cheese cm-super
  cm-super-minimal code cups cups-core-drivers cups-filters cups-filters-core-drivers
  darktable desktop-base dolphin dvgrab dvipng eezstudio evolution-data-server exo-utils
  ffmpeg ffmpegthumbs firefox firefox-esr freerdp2-x11 frei0r-plugins gcr geogebra-classic
  gimp gimp-help-en gir1.2-gcr-3 gir1.2-gnomebluetooth-1.0 gir1.2-gnomedesktop-3.0
  gir1.2-gtk-3.0 gir1.2-gtksource-3.0 gir1.2-gweather-3.0 gir1.2-mutter-6 gir1.2-nma-1.0
  gir1.2-pango-1.0 gir1.2-rsvg-2.0 gir1.2-vte-2.91 gjs gkbd-capplet gnome-control-center
  gnome-icon-theme gnome-keyring gnome-online-accounts gnome-power-manager
  gnome-screensaver gnome-screenshot gnome-session-bin gnome-settings-daemon gnome-shell
  gnome-startup-applications gnome-themes-extra gnome-themes-standard gnome-user-docs
  gnome-video-effects gnuplot-qt gnuradio gnuradio-dev gopchop gparted gr-fosphor graphviz
  gstreamer1.0-clutter-3.0 gstreamer1.0-libav gstreamer1.0-plugins-bad
  gstreamer1.0-plugins-base gstreamer1.0-plugins-good gstreamer1.0-x gthumb
  gtk2-engines-pixbuf gummi guvcview gwenview hplip humanity-icon-theme ibus ibus-data
  ibus-gtk ibus-gtk3 indicator-application kamoso kde-config-gtk-style
  kde-config-gtk-style-preview kdenlive khelpcenter kinfocenter kio-audiocd kio-extras
  konsole konversation krdc ksysguard kubuntu-desktop kubuntu-settings-desktop
  language-selector-gnome libappindicator3-1 libavcodec58 libavdevice58 libavfilter7
  libavformat58 libbrasero-media3-1 libcairo-gobject2 libcairo-script-interpreter2
  libcairo2 libcairomm-1.0-1v5 libcanberra-gtk-module libcanberra-gtk0 libcanberra-gtk3-0
  libcanberra-gtk3-module libcheese-gtk25 libcheese8 libchromaprint1 libclutter-1.0-0
  libclutter-gst-3.0-0 libclutter-gtk-1.0-0 libcogl-pango20 libcogl-path20 libcogl20
  libcolord-gtk1 libedataserverui-1.2-2 libexo-2-0 libfaudio0 libfm-gtk4 libfm-modules
  libfreerdp-client2-2 libfreerdp2-2 libgail-common libgail-common:i386 libgail18
  libgail18:i386 libgcr-ui-3-1 libgdiplus libgegl-0.4-0 libgimp2.0 libgjs0g libglade2-0
  libglade2.0-cil libgnome-bluetooth13 libgnome-desktop-3-19 libgnomekbd8
  libgoa-backend-1.0-1 libgtk-3-0 libgtk-3-bin libgtk2.0-0 libgtk2.0-0:i386
  libgtk2.0-bin:i386 libgtk2.0-cil libgtkmm-3.0-1v5 libgtksourceview-3.0-1 libgtkspell3-3-0
  libguvcview-2.0-2 libgvc6 libgweather-3-16 libindicator3-7 libk3b7-extracodecs
  libkeybinder0 libkf5baloowidgets-bin libkf5baloowidgets5 libkf5compactdisc5
  libkf5filemetadata-bin libkf5khtml-bin libkf5khtml5 libkf5notifyconfig5
  libmagickcore-6.q16-6-extra libmlt++3 libmlt6 libmono-cairo4.0-cil
  libmono-system-drawing4.0-cil libmutter-6-0 libnma0 libobrender32v5 libokular5core9
  libosmgpsmap-1.0-1 libpangocairo-1.0-0 libpangomm-1.4-1v5 libpoppler-glib8 libprocessui7
  libqt5webengine5 libqt5webenginecore5 libqt5webenginewidgets5 libquicktime2
  libreoffice-base-core libreoffice-calc libreoffice-core libreoffice-draw
  libreoffice-impress libreoffice-kf5 libreoffice-math libreoffice-plasma libreoffice-qt5
  libreoffice-writer librsvg2-2 librsvg2-common libscim8v5 libshout3 libtheora0
  libthunarx-3-0 libunique-1.0-0 libvte-2.91-0 libwebkit2gtk-4.0-37 libwine libwnck22
  libwxgtk3.0-gtk3-0v5 libxfce4panel-2.0-4 libxfce4ui-2-0 libxine2 libxine2-ffmpeg
  libxine2-misc-plugins libxine2-plugins libyelp0 lxde-core lxpanel lxrandr lxsession
  lxsession-default-apps lxsession-logout lxtask meld melt mousetweaks mpv mutter
  network-manager-gnome nvidia-settings obconf obsession okular okular-extra-backends
  openbox openbox-lxde-session palemoon pango1.0-tools pavucontrol pcmanfm phonon4qt5
  phonon4qt5-backend-gstreamer pinentry-gnome3 plasma-desktop plasma-widgets-addons
  plasma-workspace plymouth-label plymouth-theme-kubuntu-logo poppler-utils powerdevil
  printer-driver-foo2zjs printer-driver-hpcups printer-driver-splix putty
  python3-aptdaemon.gtk3widgets python3-cairo python3-gi-cairo python3-uno python3-wxgtk4.0
  qml-module-qtwebengine qt5-gtk-platformtheme quisk recordmydesktop sane sddm-theme-breeze
  smplayer smplayer-l10n smplayer-themes spice-vdagent system-config-printer
  system-config-printer-common texlive-base texlive-binaries texlive-extra-utils
  texlive-font-utils texlive-fonts-extra texlive-fonts-recommended texlive-lang-greek
  texlive-latex-base texlive-latex-extra texlive-latex-recommended texlive-pictures
  texlive-plain-generic texlive-science texlive-xetex thunar thunar-volman
  timidity-interfaces-extra tipa tumbler ubuntu-docs ubuntu-mono ubuntu-session
  vivaldi-stable vlc vlc-plugin-base vlc-plugin-notify vlc-plugin-video-output webcamoid
  webcamoid-plugins wine64 wxhexeditor xsane xscreensaver yelp zenity
The following NEW packages will be installed:
  foomatic-filters libpaps0 paps suckless-tools xterm
0 upgraded, 5 newly installed, 305 to remove and 0 not upgraded.
Need to get 928 kB of archives.
After this operation, 5,207 MB disk space will be freed.
Do you want to continue? [Y/n]
Get:1 [url]http://ro.archive.ubuntu.com/ubuntu[/url] focal/universe amd64 foomatic-filters amd64 4.0.17-11 [89.1 kB]
Get:2 [url]http://ro.archive.ubuntu.com/ubuntu[/url] focal/universe amd64 suckless-tools amd64 44-1 [53.6 kB]
Get:3 [url]http://ro.archive.ubuntu.com/ubuntu[/url] focal-updates/universe amd64 xterm amd64 353-1ubuntu1.20.04.2 [765 kB]
Get:4 [url]http://ro.archive.ubuntu.com/ubuntu[/url] focal/universe amd64 libpaps0 amd64 0.6.8-7.1 [8,164 B]
Get:5 [url]http://ro.archive.ubuntu.com/ubuntu[/url] focal/universe amd64 paps amd64 0.6.8-7.1 [12.2 kB]
Fetched 928 kB in 0s (7,133 kB/s)
Preconfiguring packages ...
(Reading database ... 754892 files and directories currently installed.)
Removing network-manager-gnome (1.8.24-1ubuntu3) ...
Removing lxde-core (10) ...
Removing openbox-lxde-session (0.99.2-3) ...
update-alternatives: using /usr/bin/gnome-session to provide /usr/bin/x-session-manager (x-session-manager) in auto mode
Removing lxsession-default-apps (0.5.3-2ubuntu1) ...
Removing lxsession (0.5.3-2ubuntu1) ...
Removing ubuntu-session (3.36.0-2ubuntu1) ...
Removing gnome-shell (3.36.9-0ubuntu0.20.04.2) ...
Removing mutter (3.36.9-0ubuntu0.20.04.1) ...
Removing libgtk2.0-bin:i386 (2.24.32-4ubuntu4) ...
Removing libgail-common:i386 (2.24.32-4ubuntu4) ...
Removing libgail18:i386 (2.24.32-4ubuntu4) ...
Removing libgtk2.0-0:i386 (2.24.32-4ubuntu4) ...
Removing gir1.2-mutter-6:amd64 (3.36.9-0ubuntu0.20.04.1) ...
Removing libmutter-6-0:amd64 (3.36.9-0ubuntu0.20.04.1) ...
Removing apport-kde (2.20.11-0ubuntu27.18) ...
Removing audacity (2.3.3-1build1) ...
Removing bless (0.6.0-7) ...
Removing breeze-gtk-theme (5.18.4.1-0ubuntu1) ...
Removing catfish (1.4.13-1) ...
Removing cheese (3.34.0-1ubuntu1) ...
Removing cm-super (0.3.4-15) ...
Removing cm-super-minimal (0.3.4-15) ...
Removing code (1.58.2-1626302803) ...
Removing printer-driver-splix (2.0.0+svn315-7fakesync1build1) ...
Removing hplip (3.20.3+dfsg0-2) ...
Removing printer-driver-hpcups (3.20.3+dfsg0-2) ...
Removing cups (2.3.1-9ubuntu1.1) ...
Removing cups-core-drivers (2.3.1-9ubuntu1.1) ...
Removing printer-driver-foo2zjs (20171202dfsg0-4) ...
dpkg: adwaita-icon-theme: dependency problems, but removing anyway as you requested:
 ubuntu-mono depends on adwaita-icon-theme.
 libgtk-3-0:amd64 depends on adwaita-icon-theme.
 ibus depends on adwaita-icon-theme.
 humanity-icon-theme depends on adwaita-icon-theme.

Removing adwaita-icon-theme (3.36.1-2ubuntu0.20.04.2) ...
dpkg: cups-filters: dependency problems, but removing anyway as you requested:
 printer-driver-pxljr depends on cups-filters (>= 1.0.42) | foomatic-filters (>= 4.0.0~bzr156); however:
  Package cups-filters is to be removed.
  Package foomatic-filters is not installed.
  Package cups-filters which provides foomatic-filters is to be removed.
 printer-driver-m2300w depends on cups-filters (>= 1.0.42) | foomatic-filters (>= 4.0.0~bzr156); however:
  Package cups-filters is to be removed.
  Package foomatic-filters is not installed.
  Package cups-filters which provides foomatic-filters is to be removed.
 printer-driver-pxljr depends on cups-filters (>= 1.0.42) | foomatic-filters (>= 4.0.0~bzr156); however:
  Package cups-filters is to be removed.
  Package foomatic-filters is not installed.
  Package cups-filters which provides foomatic-filters is to be removed.
 printer-driver-m2300w depends on cups-filters (>= 1.0.42) | foomatic-filters (>= 4.0.0~bzr156); however:
  Package cups-filters is to be removed.
  Package foomatic-filters is not installed.
  Package cups-filters which provides foomatic-filters is to be removed.

Removing cups-filters (1.27.4-1) ...
Selecting previously unselected package foomatic-filters.
(Reading database ... 749094 files and directories currently installed.)
Preparing to unpack .../foomatic-filters_4.0.17-11_amd64.deb ...
Unpacking foomatic-filters (4.0.17-11) ...
(Reading database ... 749123 files and directories currently installed.)
Removing cups-filters-core-drivers (1.27.4-1) ...
Removing darktable (3.0.1-0ubuntu1) ...
Removing desktop-base (10.0.3ubuntu1) ...
Sourcing file `/etc/default/grub'
Sourcing file `/etc/default/grub.d/init-select.cfg'
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-5.4.0-80-generic
Found initrd image: /boot/initrd.img-5.4.0-80-generic
Found linux image: /boot/vmlinuz-5.4.0-77-generic
Found initrd image: /boot/initrd.img-5.4.0-77-generic
Found linux image: /boot/vmlinuz-5.4.0-74-generic
Found initrd image: /boot/initrd.img-5.4.0-74-generic
Found linux image: /boot/vmlinuz-5.4.0-73-generic
Found initrd image: /boot/initrd.img-5.4.0-73-generic
Found linux image: /boot/vmlinuz-5.4.0-18-generic
Found initrd image: /boot/initrd.img-5.4.0-18-generic
Found Ubuntu 18.10 (18.10) on /dev/sdc1
Found Arch Linux on /dev/sdc4
Found Gentoo/Linux on /dev/sdd4
Adding boot menu entry for UEFI Firmware Settings
done
Removing dolphin (4:19.12.3-0ubuntu1) ...
Removing dvgrab (3.5+git20160707.1.e46042e-1build1) ...
Removing dvipng (1.15-1.1) ...
Removing eezstudio (0.9.6) ...
Removing evolution-data-server (3.36.5-0ubuntu1) ...
Removing thunar-volman (0.9.5-1) ...
Removing thunar (1.8.14-0ubuntu1) ...
Removing exo-utils (0.12.11-1ubuntu1.20.04.1) ...
Removing kdenlive (4:19.12.3-0ubuntu1) ...
Removing ffmpeg (7:4.2.4-1ubuntu0.1) ...
Removing ffmpegthumbs (4:19.12.3-0ubuntu1) ...
Removing gimp-help-en (2.8.2-2ubuntu1) ...
Removing firefox (90.0+build1-0ubuntu0.20.04.1) ...
Removing firefox-esr (78.12.0esr+build1-0ubuntu0.20.04.1) ...
Removing freerdp2-x11 (2.2.0+dfsg1-0ubuntu0.20.04.1) ...
Removing frei0r-plugins (1.7.0-1build1) ...
Removing gnome-keyring (3.36.0-1ubuntu1) ...
Removing pinentry-gnome3 (1.1.0-3build1) ...
Removing gcr (3.36.0-2build1) ...
Removing geogebra-classic (6.0.654.0-202107152010) ...
Removing gimp (2.10.18-1) ...
Removing gir1.2-gcr-3:amd64 (3.36.0-2build1) ...
Removing gir1.2-gnomebluetooth-1.0:amd64 (3.34.3-0ubuntu1) ...
Removing gir1.2-gnomedesktop-3.0:amd64 (3.36.8-0ubuntu1) ...
Removing gnome-control-center (1:3.36.5-0ubuntu2) ...
Removing system-config-printer (1.5.12-0ubuntu1.1) ...
Removing system-config-printer-common (1.5.12-0ubuntu1.1) ...
Removing language-selector-gnome (0.204.2) ...
Removing python3-aptdaemon.gtk3widgets (1.1.1+bzr982-0ubuntu32.3) ...
Removing meld (3.20.2-1ubuntu1) ...
Removing gir1.2-gtksource-3.0:amd64 (3.24.11-2) ...
Removing gir1.2-gweather-3.0:amd64 (3.36.1-1~ubuntu20.04.1) ...
Removing gir1.2-nma-1.0:amd64 (1.8.24-1ubuntu3) ...
Removing gir1.2-vte-2.91:amd64 (0.60.3-0ubuntu1~20.04) ...
Removing gir1.2-rsvg-2.0:amd64 (2.48.9-1ubuntu0.20.04.1) ...
Removing gjs (1.64.5-0ubuntu0.20.04.01) ...
Removing gkbd-capplet (3.26.1-1) ...
Removing palemoon (28.17.0-1) ...
Removing nvidia-settings (470.57.02-0ubuntu1) ...
Removing gnome-online-accounts (3.36.1-0ubuntu1) ...
Removing gnome-power-manager (3.32.0-2) ...
dpkg: libgtk2.0-0:amd64: dependency problems, but removing anyway as you requested:
 xscreensaver depends on libgtk2.0-0 (>= 2.24.0).
 xsane depends on libgtk2.0-0 (>= 2.14.0).
 timidity-interfaces-extra depends on libgtk2.0-0 (>= 2.8.0); however:
  Package libgtk2.0-0:amd64 is to be removed.
 sane depends on libgtk2.0-0 (>= 2.24.0).
 pcmanfm depends on libgtk2.0-0 (>= 2.24.0).
 obsession depends on libgtk2.0-0 (>= 2.14.0).
 lxtask depends on libgtk2.0-0 (>= 2.14.0).
 lxsession-logout depends on libgtk2.0-0 (>= 2.24.0).
 lxrandr depends on libgtk2.0-0 (>= 2.24.0).
 lxpanel depends on libgtk2.0-0 (>= 2.24.0).
 libwnck22:amd64 depends on libgtk2.0-0 (>= 2.24.31).
 libunique-1.0-0 depends on libgtk2.0-0 (>= 2.24.0).
 libmlt6 depends on libgtk2.0-0 (>= 2.24.0).
 libkeybinder0 depends on libgtk2.0-0 (>= 2.24.0).
 libgtk2.0-cil depends on libgtk2.0-0 (>= 2.24.0).
 libglade2-0:amd64 depends on libgtk2.0-0 (>= 2.8.0).
 libgimp2.0 depends on libgtk2.0-0 (>= 2.24.10).
 libgail18:amd64 depends on libgtk2.0-0 (= 2.24.32-4ubuntu4).
 libgail-common:amd64 depends on libgtk2.0-0 (>= 2.24.0).
 libfm-modules:amd64 depends on libgtk2.0-0 (>= 2.18.0).
 libfm-gtk4:amd64 depends on libgtk2.0-0 (>= 2.24.0).
 libcanberra-gtk0:amd64 depends on libgtk2.0-0 (>= 2.24.0).
 libcanberra-gtk-module:amd64 depends on libgtk2.0-0 (>= 2.24.5-4).
 kde-config-gtk-style-preview:amd64 depends on libgtk2.0-0 (>= 2.14.0).
 kde-config-gtk-style:amd64 depends on libgtk2.0-0 (>= 2.8.0).
 ibus-gtk:amd64 depends on libgtk2.0-0 (>= 2.24.5-4).
 gopchop depends on libgtk2.0-0 (>= 2.8.0).

Removing libgtk2.0-0:amd64 (2.24.32-4ubuntu4) ...
Removing gnome-icon-theme (3.12.0-3) ...
update-alternatives: using /usr/share/icons/gnome/scalable/places/gnome-foot.svg to provide /usr/share/icons/gnome/scalable/places/start-here.svg (start-here.svg) in auto mode
update-alternatives: warning: skip creation of /usr/share/icons/gnome/256x256/places/start-here.png because associated file /usr/share/icons/gnome/256x256/places/gnome-foot.png (of link group start-here.svg) doesn't exist
dpkg: gir1.2-gtk-3.0:amd64: dependency problems, but removing anyway as you requested:
 ibus depends on gir1.2-gtk-3.0 (>= 3.8.5); however:
  Package gir1.2-gtk-3.0:amd64 is to be removed.

Removing gir1.2-gtk-3.0:amd64 (3.24.20-0ubuntu1) ...
Removing gir1.2-pango-1.0:amd64 (1.44.7-2ubuntu4) ...
Selecting previously unselected package suckless-tools.
(Reading database ... 736724 files and directories currently installed.)
Preparing to unpack .../suckless-tools_44-1_amd64.deb ...
Unpacking suckless-tools (44-1) ...
(Reading database ... 736767 files and directories currently installed.)
Removing gnome-screensaver (3.6.1-11ubuntu4) ...
Removing gnome-screenshot (3.36.0-1ubuntu1) ...
Removing gnome-startup-applications (3.36.0-2ubuntu1) ...
Removing gnome-session-bin (3.36.0-2ubuntu1) ...
update-alternatives: using /usr/bin/openbox-session to provide /usr/bin/x-session-manager (x-session-manager) in auto mode
Removing gnome-settings-daemon (3.36.1-0ubuntu1) ...
Removing gnome-themes-standard (3.28-1ubuntu1) ...
Removing gnome-themes-extra:amd64 (3.28-1ubuntu1) ...
Removing gnome-user-docs (3.36.2+git20200704-0ubuntu0.1) ...
Removing gnome-video-effects (0.5.0-1ubuntu1) ...
Removing gnuplot-qt (5.2.8+dfsg1-2) ...
Removing gr-fosphor (3.8~2.2d4fe78-1build3) ...
Removing gnuradio-dev:amd64 (3.8.1.0~rc1-2build2) ...
Removing gnuradio (3.8.1.0~rc1-2build2) ...
Removing gopchop (1.1.8-7build1) ...
Removing gparted (1.0.0-0.1build1) ...
Removing graphviz (2.42.2-3build2) ...
Removing libcheese-gtk25:amd64 (3.34.0-1ubuntu1) ...
Removing gstreamer1.0-clutter-3.0:amd64 (3.0.27-1) ...
Removing gstreamer1.0-libav:amd64 (1.16.2-2) ...
Removing kubuntu-desktop (1.398) ...
Removing sddm-theme-breeze (4:5.18.5-0ubuntu0.1) ...
dpkg: warning: while removing sddm-theme-breeze, directory '/usr/share/sddm/themes/breeze' not empty so not removed
Removing plasma-desktop (4:5.18.5-0ubuntu0.1) ...
Removing konversation (1.7.5-3ubuntu2.20.04.1) ...
Removing gstreamer1.0-plugins-bad:amd64 (1.16.2-2.1ubuntu1) ...
Removing libcheese8:amd64 (3.34.0-1ubuntu1) ...
Removing kamoso (19.12.3-0ubuntu1) ...
Removing gstreamer1.0-plugins-good:amd64 (1.16.2-1ubuntu2.1) ...
Removing gstreamer1.0-x:amd64 (1.16.2-4ubuntu0.1) ...
Removing gthumb (3:3.8.0-2.1build1) ...
Removing gtk2-engines-pixbuf:amd64 (2.24.32-4ubuntu4) ...
Removing gummi (0.8.1-1ubuntu0.20.04.1) ...
Removing guvcview (2.0.6+debian-1build1) ...
Removing gwenview (4:19.12.3-0ubuntu2) ...
Removing ubuntu-mono (19.04-0ubuntu3) ...
Removing humanity-icon-theme (0.6.15) ...
Removing ibus (1.5.22-2ubuntu2.1) ...
Removing ibus-data (1.5.22-2ubuntu2.1) ...
Removing ibus-gtk:amd64 (1.5.22-2ubuntu2.1) ...
Removing ibus-gtk3:amd64 (1.5.22-2ubuntu2.1) ...
Removing indicator-application (12.10.1+19.04.20190308.1-0ubuntu3) ...
Removing kde-config-gtk-style:amd64 (4:5.18.4.1-0ubuntu1) ...
Removing kde-config-gtk-style-preview:amd64 (4:5.18.4.1-0ubuntu1) ...
Removing khelpcenter (4:19.12.3-0ubuntu1) ...
Removing kinfocenter (4:5.18.5-0ubuntu0.1) ...
Removing kio-audiocd (4:19.12.3-0ubuntu1) ...
Removing kio-extras (4:19.12.3a-0ubuntu2) ...
dpkg: plasma-workspace: dependency problems, but removing anyway as you requested:
 plasma-widgets-addons depends on plasma-workspace (>= 4:5.18.0).
 kubuntu-settings-desktop depends on plasma-workspace (>= 4:5.18.0~).

Removing plasma-workspace (4:5.18.5-0ubuntu0.1) ...
dpkg: phonon4qt5:amd64: dependency problems, but removing anyway as you requested:
 okular depends on phonon4qt5.
 libokular5core9 depends on phonon4qt5.
 libkf5notifyconfig5:amd64 depends on phonon4qt5.
 libkf5khtml5:amd64 depends on phonon4qt5.
 libkf5compactdisc5:amd64 depends on phonon4qt5.

Removing phonon4qt5:amd64 (4:4.11.1-3build1) ...
Removing phonon4qt5-backend-gstreamer:amd64 (4:4.10.0-1build1) ...
Removing gstreamer1.0-plugins-base:amd64 (1.16.2-4ubuntu0.1) ...
Selecting previously unselected package xterm.
(Reading database ... 704840 files and directories currently installed.)
Preparing to unpack .../xterm_353-1ubuntu1.20.04.2_amd64.deb ...
Unpacking xterm (353-1ubuntu1.20.04.2) ...
(Reading database ... 704886 files and directories currently installed.)
Removing krdc (4:19.12.3-0ubuntu1) ...
Removing ksysguard (4:5.18.4.1-0ubuntu1) ...
Removing kubuntu-settings-desktop (1:20.04.9) ...
update-alternatives: using /etc/newt/palette.ubuntu to provide /etc/newt/palette (newt-palette) in auto mode
Removing libbrasero-media3-1:amd64 (3.12.2-6ubuntu1) ...
Removing libappindicator3-1 (12.10.1+20.04.20200408.1-0ubuntu1) ...
Removing plasma-widgets-addons (4:5.18.4.1-0ubuntu2) ...
Removing qml-module-qtwebengine:amd64 (5.12.8+dfsg-0ubuntu1.1) ...
Removing libprocessui7:amd64 (4:5.18.4.1-0ubuntu1) ...
Removing libqt5webenginewidgets5:amd64 (5.12.8+dfsg-0ubuntu1.1) ...
Removing smplayer-themes (1:18.6.0-1) ...
Removing melt (6.20.0-2) ...
Removing webcamoid (8.6.1+dfsg-2build1) ...
Removing webcamoid-plugins:amd64 (8.6.1+dfsg-2build1) ...
Removing librsvg2-common:amd64 (2.48.9-1ubuntu0.20.04.1) ...
Removing libcairo-script-interpreter2:amd64 (1.16.0-4ubuntu1) ...
Removing vivaldi-stable (4.0.2312.41-1) ...
This script is unneeded for amd64. Check your Widevine version via vivaldi://components
Removing pavucontrol (4.0-1build1) ...
Removing libgtkmm-3.0-1v5:amd64 (3.24.2-1build1) ...
Removing libpangomm-1.4-1v5:amd64 (2.42.0-2build1) ...
Removing libcairomm-1.0-1v5:amd64 (1.12.2-4build1) ...
Removing libcanberra-gtk-module:amd64 (0.30-7ubuntu1) ...
Removing libcanberra-gtk0:amd64 (0.30-7ubuntu1) ...
Removing libgnome-bluetooth13:amd64 (3.34.3-0ubuntu1) ...
Removing libcanberra-gtk3-module:amd64 (0.30-7ubuntu1) ...
Removing libcanberra-gtk3-0:amd64 (0.30-7ubuntu1) ...
Removing vlc (3.0.9.2-1) ...
Removing vlc-plugin-base:amd64 (3.0.9.2-1) ...
Removing libclutter-gtk-1.0-0:amd64 (1.8.4-4) ...
Removing libclutter-gst-3.0-0:amd64 (3.0.27-1) ...
Removing libclutter-1.0-0:amd64 (1.26.4+dfsg-1) ...
Removing libcogl-pango20:amd64 (1.22.6-1) ...
Removing libcogl-path20:amd64 (1.22.6-1) ...
Removing libcogl20:amd64 (1.22.6-1) ...
Removing libcolord-gtk1:amd64 (0.2.0-0ubuntu1) ...
Removing libedataserverui-1.2-2:amd64 (3.36.5-0ubuntu1) ...
Removing libthunarx-3-0:amd64 (1.8.14-0ubuntu1) ...
Removing libexo-2-0:amd64 (0.12.11-1ubuntu1.20.04.1) ...
Removing wine64 (5.0-3ubuntu1) ...
Removing libwine:amd64 (5.0-3ubuntu1) ...
Removing libfaudio0:amd64 (20.04-2) ...
Removing pcmanfm (1.3.1-1) ...
Removing lxpanel (0.10.0-2) ...
Removing libfm-modules:amd64 (1.3.1-1) ...
Removing libfreerdp-client2-2:amd64 (2.2.0+dfsg1-0ubuntu0.20.04.1) ...
Removing libfreerdp2-2:amd64 (2.2.0+dfsg1-0ubuntu0.20.04.1) ...
Removing libgail-common:amd64 (2.24.32-4ubuntu4) ...
Removing libgail18:amd64 (2.24.32-4ubuntu4) ...
Removing libgcr-ui-3-1:amd64 (3.36.0-2build1) ...
Removing libglade2.0-cil (2.12.40-3) ...
Removing libglade2.0-cil from Mono
Removing libgtk2.0-cil (2.12.40-3) ...
Removing libgtk2.0-cil from Mono
Removing libmono-system-drawing4.0-cil (6.8.0.105+dfsg-2) ...
Removing libgdiplus (6.0.4+dfsg-2) ...
Removing xsane (0.999-8ubuntu2.1) ...
Removing sane (1.0.14-15) ...
Removing libgimp2.0 (2.10.18-1) ...
Removing libgegl-0.4-0:amd64 (0.4.22-3) ...
Removing libgjs0g:amd64 (1.64.5-0ubuntu0.20.04.01) ...
Removing libgnome-desktop-3-19:amd64 (3.36.8-0ubuntu1) ...
Removing libgnomekbd8:amd64 (3.26.1-1) ...
Removing libgoa-backend-1.0-1:amd64 (3.36.1-0ubuntu1) ...
Removing ubuntu-docs (20.04.3) ...
Removing yelp (3.36.2-0ubuntu1) ...
Removing libgtk-3-bin (3.24.20-0ubuntu1) ...
Removing libgtksourceview-3.0-1:amd64 (3.24.11-2) ...
Removing libgtkspell3-3-0:amd64 (3.0.10-1) ...
Removing libguvcview-2.0-2:amd64 (2.0.6+debian-1build1) ...
Removing libgvc6 (2.42.2-3build2) ...
Removing libgweather-3-16:amd64 (3.36.1-1~ubuntu20.04.1) ...
Removing libindicator3-7 (16.10.0+18.04.20180321.1-0ubuntu4) ...
Removing libk3b7-extracodecs (19.12.3-0ubuntu1) ...
Removing libkeybinder0 (0.3.1-2ubuntu1) ...
Removing libkf5baloowidgets-bin (4:19.12.3-0ubuntu1) ...
Removing libkf5baloowidgets5:amd64 (4:19.12.3-0ubuntu1) ...
Removing libkf5compactdisc5:amd64 (4:19.12.3-0ubuntu1) ...
Removing libkf5filemetadata-bin:amd64 (5.68.0-0ubuntu1) ...
Removing libkf5khtml-bin (5.68.0-0ubuntu1) ...
Removing okular-extra-backends (4:19.12.3-2ubuntu1) ...
Removing libkf5khtml5:amd64 (5.68.0-0ubuntu1) ...
Removing powerdevil (4:5.18.4.1-0ubuntu1) ...
Removing libmagickcore-6.q16-6-extra:amd64 (8:6.9.10.23+dfsg-2.1ubuntu11.4) ...
Removing libmono-cairo4.0-cil (6.8.0.105+dfsg-2) ...
Removing libnma0:amd64 (1.8.24-1ubuntu3) ...
Removing openbox (3.6.1-9ubuntu0.20.04.1) ...
update-alternatives: using /usr/bin/kwin_x11 to provide /usr/bin/x-window-manager (x-window-manager) in auto mode
update-alternatives: warning: alternative /usr/bin/startplasma-x11 (part of link group x-session-manager) doesn't exist; removing from list of alternatives
Removing obconf (1:2.0.4+git20150213-2) ...
Removing libobrender32v5 (3.6.1-9ubuntu0.20.04.1) ...
Removing okular (4:19.12.3-2ubuntu1) ...
Removing libokular5core9 (4:19.12.3-2ubuntu1) ...
Removing libosmgpsmap-1.0-1:amd64 (1.1.0-6) ...
Removing plymouth-theme-kubuntu-logo (1:20.04.9) ...
update-alternatives: warning: alternative /usr/share/plymouth/themes/kubuntu-logo/kubuntu-logo.plymouth (part of link group default.plymouth) doesn't exist; removing from list of alternatives
update-alternatives: warning: /etc/alternatives/default.plymouth is dangling; it will be updated with best choice
update-initramfs: deferring update (trigger activated)
Sourcing file `/etc/default/grub'
Sourcing file `/etc/default/grub.d/init-select.cfg'
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-5.4.0-80-generic
Found initrd image: /boot/initrd.img-5.4.0-80-generic
Found linux image: /boot/vmlinuz-5.4.0-77-generic
Found initrd image: /boot/initrd.img-5.4.0-77-generic
Found linux image: /boot/vmlinuz-5.4.0-74-generic
Found initrd image: /boot/initrd.img-5.4.0-74-generic
Found linux image: /boot/vmlinuz-5.4.0-73-generic
Found initrd image: /boot/initrd.img-5.4.0-73-generic
Found linux image: /boot/vmlinuz-5.4.0-18-generic
Found initrd image: /boot/initrd.img-5.4.0-18-generic
Found Ubuntu 18.10 (18.10) on /dev/sdc1
Found Arch Linux on /dev/sdc4
Found Gentoo/Linux on /dev/sdd4
Adding boot menu entry for UEFI Firmware Settings
done
Removing plymouth-label (0.9.4git20200323-0ubuntu6.2) ...
Removing libvte-2.91-0:amd64 (0.60.3-0ubuntu1~20.04) ...
Removing tumbler (0.2.8-1) ...
Removing libpoppler-glib8:amd64 (0.86.1-0ubuntu1) ...
Removing libqt5webengine5:amd64 (5.12.8+dfsg-0ubuntu1.1) ...
Removing libquicktime2:amd64 (2:1.2.4-12build2) ...
Removing libreoffice-calc (1:6.4.7-0ubuntu0.20.04.1) ...
Removing libreoffice-writer (1:6.4.7-0ubuntu0.20.04.1) ...
Removing libreoffice-base-core (1:6.4.7-0ubuntu0.20.04.1) ...
Removing libreoffice-kf5 (1:6.4.7-0ubuntu0.20.04.1) ...
Removing libreoffice-qt5 (1:6.4.7-0ubuntu0.20.04.1) ...
Removing libreoffice-plasma (1:6.4.7-0ubuntu0.20.04.1) ...
Removing libreoffice-impress (1:6.4.7-0ubuntu0.20.04.1) ...
Removing libreoffice-draw (1:6.4.7-0ubuntu0.20.04.1) ...
Removing libreoffice-math (1:6.4.7-0ubuntu0.20.04.1) ...
Removing libscim8v5:amd64 (1.4.18-2.2build1) ...
Removing libshout3:amd64 (2.4.3-1) ...
Removing recordmydesktop (0.3.8.1+svn602-1.1ubuntu1) ...
Removing libxine2:amd64 (1.2.9-1build5) ...
Removing libunique-1.0-0 (1.1.6-6) ...
Removing libyelp0:amd64 (3.36.2-0ubuntu1) ...
Removing libwnck22:amd64 (1:2.30.7-5.1ubuntu1) ...
Removing wxhexeditor (0.24+repack-1build1) ...
Removing quisk (4.1.52-2) ...
Removing python3-wxgtk4.0 (4.0.7+dfsg-2build1) ...
Removing libwxgtk3.0-gtk3-0v5:amd64 (3.0.4+dfsg-15build1) ...
Removing libxfce4panel-2.0-4 (4.14.3-1) ...
Removing libxfce4ui-2-0:amd64 (4.14.1-1ubuntu1) ...
Removing libxine2-plugins (1.2.9-1build5) ...
Removing libxine2-ffmpeg:amd64 (1.2.9-1build5) ...
Removing lxrandr (0.3.2-1) ...
Removing lxsession-logout (0.5.3-2ubuntu1) ...
Removing lxtask (0.1.9-1) ...
Removing mousetweaks (3.32.0-2) ...
Removing obsession (20140608-2build1) ...
Removing pango1.0-tools (1.44.7-2ubuntu4) ...
Removing poppler-utils (0.86.1-0ubuntu1) ...
Removing putty (0.73-2) ...
Removing python3-gi-cairo (3.36.0-1) ...
Removing python3-cairo:amd64 (1.16.2-2ubuntu2) ...
Removing python3-uno (1:6.4.7-0ubuntu0.20.04.1) ...
Removing qt5-gtk-platformtheme:amd64 (5.12.8+dfsg-0ubuntu1) ...
Removing smplayer-l10n (19.10.2~ds0-1build1) ...
Removing spice-vdagent (0.19.0-2ubuntu0.2) ...
Removing texlive-xetex (2019.20200218-1) ...
Removing texlive-science (2019.202000218-1) ...
Removing tipa (2:1.3-20) ...
Removing texlive-plain-generic (2019.202000218-1) ...
Removing texlive-extra-utils (2019.202000218-1) ...
Removing texlive-font-utils (2019.202000218-1) ...
Removing texlive-fonts-extra (2019.202000218-1) ...
Removing texlive-fonts-recommended (2019.20200218-1) ...
Removing texlive-lang-greek (2019.20200218-1) ...
Removing texlive-latex-extra (2019.202000218-1) ...
Removing texlive-pictures (2019.20200218-1) ...
Removing texlive-latex-recommended (2019.20200218-1) ...
Removing texlive-latex-base (2019.20200218-1) ...
Removing timidity-interfaces-extra (2.14.0-8build1) ...
Removing vlc-plugin-notify:amd64 (3.0.9.2-1) ...
Removing vlc-plugin-video-output:amd64 (3.0.9.2-1) ...
Removing zenity (3.32.0-5) ...
Removing libqt5webenginecore5:amd64 (5.12.8+dfsg-0ubuntu1.1) ...
Removing smplayer (19.10.2~ds0-1build1) ...
Removing mpv (0.32.0-1ubuntu1) ...
Removing libfm-gtk4:amd64 (1.3.1-1) ...
Removing libreoffice-core (1:6.4.7-0ubuntu0.20.04.1) ...
Removing libxine2-misc-plugins:amd64 (1.2.9-1build5) ...
Removing libwebkit2gtk-4.0-37:amd64 (2.32.0-0ubuntu0.20.04.1) ...
Removing texlive-base (2019.20200218-1) ...
Removing texlive-binaries (2019.20190605.51237-3build2) ...
Removing libgtk-3-0:amd64 (3.24.20-0ubuntu1) ...
Removing libmlt++3 (6.20.0-2) ...
Removing libmlt6 (6.20.0-2) ...
Removing libavdevice58:amd64 (7:4.2.4-1ubuntu0.1) ...
Removing libavfilter7:amd64 (7:4.2.4-1ubuntu0.1) ...
Removing libavformat58:amd64 (7:4.2.4-1ubuntu0.1) ...
Removing libchromaprint1:amd64 (1.4.3-3build1) ...
Removing libavcodec58:amd64 (7:4.2.4-1ubuntu0.1) ...
Removing librsvg2-2:amd64 (2.48.9-1ubuntu0.20.04.1) ...
Removing libcairo-gobject2:amd64 (1.16.0-4ubuntu1) ...
Removing libpangocairo-1.0-0:amd64 (1.44.7-2ubuntu4) ...
Removing libtheora0:amd64 (1.1.1+dfsg.1-15ubuntu2) ...
Removing libcairo2:amd64 (1.16.0-4ubuntu1) ...
dpkg: konsole: dependency problems, but removing anyway as you requested:
 kubuntu-notification-helper depends on konsole | x-terminal-emulator; however:
  Package konsole is to be removed.
  Package x-terminal-emulator is not installed.
  Package xterm which provides x-terminal-emulator is not configured yet.
  Package konsole which provides x-terminal-emulator is to be removed.
 xorg depends on gnome-terminal | xterm | x-terminal-emulator; however:
  Package gnome-terminal is not installed.
  Package xterm is not configured yet.
  Package x-terminal-emulator is not installed.
  Package xterm which provides x-terminal-emulator is not configured yet.
  Package konsole which provides x-terminal-emulator is to be removed.
 kubuntu-notification-helper depends on konsole | x-terminal-emulator; however:
  Package konsole is to be removed.
  Package x-terminal-emulator is not installed.
  Package xterm which provides x-terminal-emulator is not configured yet.
  Package konsole which provides x-terminal-emulator is to be removed.

Removing konsole (4:19.12.3-0ubuntu1) ...
dpkg: xscreensaver: dependency problems, but removing anyway as you requested:
 lxlock depends on light-locker | xscreensaver | gnome-screensaver | i3lock | suckless-tools | slim; however:
  Package light-locker is not installed.
  Package xscreensaver is to be removed.
  Package gnome-screensaver is not installed.
  Package i3lock is not installed.
  Package suckless-tools is not configured yet.
  Package slim is not installed.

Removing xscreensaver (5.42+dfsg1-1ubuntu1) ...
Removing libglade2-0:amd64 (1:2.6.4-2ubuntu2) ...
Removing libkf5notifyconfig5:amd64 (5.68.0-0ubuntu1) ...
Selecting previously unselected package libpaps0.
(Reading database ... 576274 files and directories currently installed.)
Preparing to unpack .../libpaps0_0.6.8-7.1_amd64.deb ...
Unpacking libpaps0 (0.6.8-7.1) ...
Selecting previously unselected package paps.
Preparing to unpack .../paps_0.6.8-7.1_amd64.deb ...
Unpacking paps (0.6.8-7.1) ...
Setting up libpaps0 (0.6.8-7.1) ...
Setting up suckless-tools (44-1) ...
Setting up foomatic-filters (4.0.17-11) ...

Creating config file /etc/foomatic/filter.conf with new version
Setting up xterm (353-1ubuntu1.20.04.2) ...
update-alternatives: using /usr/bin/xterm to provide /usr/bin/x-terminal-emulator (x-terminal-emulator) in auto mode
update-alternatives: using /usr/bin/lxterm to provide /usr/bin/x-terminal-emulator (x-terminal-emulator) in auto mode
Setting up paps (0.6.8-7.1) ...
Processing triggers for fontconfig (2.13.1-2ubuntu3) ...
Processing triggers for desktop-file-utils (0.24-1ubuntu3) ...
Processing triggers for mime-support (3.64ubuntu1) ...
Processing triggers for initramfs-tools (0.136ubuntu6.6) ...
update-initramfs: Generating /boot/initrd.img-5.4.0-80-generic
W: plymouth: The plugin label.so is missing, the selected theme might not work as expected.
W: plymouth: You might want to install the plymouth-themes and plymouth-label package to fix this.
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for gnome-menus (3.36.0-1ubuntu1) ...
Processing triggers for libglib2.0-0:amd64 (2.64.6-1~ubuntu20.04.4) ...
Processing triggers for libglib2.0-0:i386 (2.64.6-1~ubuntu20.04.4) ...
Processing triggers for libc-bin (2.31-0ubuntu9.3) ...
Processing triggers for man-db (2.9.1-1) ...
Processing triggers for tex-common (6.13) ...
update-language: texlive-base not installed and configured, doing nothing!
Processing triggers for libreoffice-common (1:6.4.7-0ubuntu0.20.04.1) ...
Processing triggers for libgdk-pixbuf2.0-0:amd64 (2.40.0+dfsg-3ubuntu0.2) ...
Processing triggers for dbus (1.12.16-2ubuntu2.1) ...
Processing triggers for shared-mime-info (1.15-1) ...
Processing triggers for libvlc-bin:amd64 (3.0.9.2-1) ...
Processing triggers for sgml-base (1.29.1) ...
Processing triggers for install-info (6.7.0.dfsg.2-5) ...
Processing triggers for wine (5.0-3ubuntu1) ...
~$

--- End code ---


It took A LOT to complete, even grub was changed.   :-//
I'm afraid to restart, guessing that probably nothing will work after a restart.

OS is (or was?) Kubuntu 20.04 LTS, so a Debian with Plasma and about 2-3 years of other programs, installs and configurations.  No recent backup.   :palm:

Any ideas how to revert this, please?

PKTKS:
Look like a very serious bug...

I never use these "automatic things" on serious machines..

THAT IS WHY I JUST LOVE Slackware in the most efficient way doing that.
Never a bug like this can happen on Slackware.

Looks like:
- you do removed a *LOT* of important stuff you will need.
- none of them seems to affect boot... this is *NIX it can boot to a terminal easily
- in doubt - you can try to "RE-DO" this mess...
- take note of the base packages .. try to install them again.. before boot
- and even again after boot.

If everything fails..  BACKUP is your help  if any  ???

Paul

BrokenYugo:
There is certainly more than one way to fix this, but whatever one I went with years ago when it happened to me (don't sudo drunk) was less than ideal. If I managed to do it again I'd probably backup my home directory and reinstall.

RoGeorge:
Would it be OK if
1 - backup all home directory (including hidden)
2 - grep for all the "Removing ..." lines from that console output, and turn them into a "sudo apt-get install <name>"
3 - overwrite home after reinstall with the backup (in order to restore all the settings)

Will this work?  Do I need to install in the reverse order?

Are there other places that stores settings and configurations that I should backup, apart from the /home/<user>/*  ?

Benta:
The settings in /home are your smallest problem. You can just copy those to a USB stick.
 
Much more serious are /lib, /usr, /etc, /var and a couple of others.

Quite frankly, you're back to square one. I don't see a way out of this one other than a complete new system install, followed by program installations and customization.

Sorry.

How on earth can you not have a system backup? I do a Timeshift backup before fiddling with anything on the system. And my / and /home are on separate partitions.

Navigation

[0] Message Index

[#] Next page

There was an error while thanking
Thanking...
Go to full version